<mat-card>
    <mat-grid-list cols="6" rowHeight="40px">
        <mat-grid-tile [colspan]="5">
            <mat-form-field class="input-value">
                <input autocomplete="off" matInput [(ngModel)]="selectedItem.value" placeholder="Item {{selectedItem?.id}}" (keyup)="resetItem()">
            </mat-form-field>
        </mat-grid-tile>
        <mat-grid-tile>
            <button mat-button mat-raised-button (click)="send()">Encrypt</button>
            <button mat-button mat-raised-button (click)="getDecryptedValue()" [disabled]="!selectedItem.id || !isEncrypted">Decrypt</button>
        </mat-grid-tile>
        <mat-grid-tile>

        </mat-grid-tile>
    </mat-grid-list>
</mat-card>

<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <!-- Id Column -->
    <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef> No.</th>
        <td mat-cell *matCellDef="let element"> {{element.id}}</td>
    </ng-container>

    <!-- Data Column -->
    <ng-container matColumnDef="value">
        <th mat-header-cell *matHeaderCellDef> Value</th>
        <td mat-cell *matCellDef="let element"> {{element.value}}</td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="headerColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: headerColumns;" (click)="selectItem(row)"></tr>
</table>
